CVC4::RationalHashFunction Struct Reference

`#include <rational_cln_imp.h>`

## Public Member Functions

size_t | operator() (const CVC4::Rational &r) const
size_t | operator() (const CVC4::Rational &r) const

## Detailed Description

Definition at line 339 of file rational_gmp_imp.h.

## Member Function Documentation

## operator()() [1/2]

size_t CVC4::RationalHashFunction::operator() | ( | const CVC4::Rational & | r | ) | const

inline

Definition at line 362 of file rational_cln_imp.h.

References CVC4::Rational::hash().

## operator()() [2/2]

size_t CVC4::RationalHashFunction::operator() | ( | const CVC4::Rational & | r | ) | const

inline

Definition at line 340 of file rational_gmp_imp.h.

References CVC4::Rational::hash().

The documentation for this struct was generated from the following files:

- src/util/rational_cln_imp.h
- src/util/rational_gmp_imp.h